/*
 * Copyright (C) 2015, Ronny Fuchs
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

function convValues(dValue,targetUnit,deci){
    if(targetUnit === "mg/dl")
        return (dValue*18.1).toFixed(deci)
    else
        return (dValue/18.1).toFixed(deci)
}

function getPumpString(str){
    var parts = str.split('/');
    var time = parts[0].split(':');
    return [time[0],time[1],parts[1]]
}

function indexOfPicker(pickerModel,pickerString){
    for (var i = 0; i < pickerModel.length; i++){
        if (parseInt(pickerModel[i]) === parseInt(pickerString)) return i
    }
}

