#include <QDebug>
#include "pumpbasal.h"

PumpBasal::PumpBasal(QObject *parent)
    : QObject(parent)
    , m_isActive(false)
{

}
void PumpBasal::setId(const quint64 &i){
    if(m_id != i){
        m_id = i;
        Q_EMIT idChanged();
    }
}
quint64 PumpBasal::id(){
    return m_id;
}

void PumpBasal::setName(const QString &str) {
    if (m_name != str ){
        m_name = str;
        Q_EMIT nameChanged();
    }
}

QString PumpBasal::name() {
    return m_name;
}

void PumpBasal::setBasalRate(const QString &str){
    if (m_basalrate !=str ){
        m_basalrate = str;
        Q_EMIT basalRateChanged();
    }
}
QString PumpBasal::basalRate(){
    return m_basalrate;
}
void PumpBasal::setIsActive(const bool &act){
    if (m_isActive != act){
        m_isActive = act;
        Q_EMIT isActiveChanged();
    }
}
bool PumpBasal::isActive(){
    return m_isActive;
}
